Трэвис не находит панды, установленные кондой

Похоже, что conda изменила версии по умолчанию, которые он ищет сегодня, потому что conda install numpy scipy настоящее время не работает:

 $conda create numpy scipy -n test-build-issue3 --dry-run Error: Unsatisfiable package specifications Hint: the following combinations of packages create a conflict with the remaining packages: - numpy 1.7* - scipy 

Если я даю конкретные версии, я могу настроить рабочую среду локально.

 conda create numpy=1.7.1 scipy=0.13.0 pandas=0.13.0 matplotlib=1.3 PIL -n test-build --dry-run 

Но на Travis, в то время как сообщения conda, установившие и связавшие панды, тестовый набор вызывает ImportError:

 $ nosetests --nologcapture -a '!slow' E (...) ImportError: No module named pandas 

Ниже приведен пример полной неудачной сборки.

Вчера тестовый пакет прошел отлично. У меня большой опыт работы с Travis, но меньше опыта работы и отладки conda на нем. Какие-либо предложения?

Спасибо, ребята, в списке рассылки anaconda , это разрешено.

Сегодня ContinuumIO обновил конду, но не миниконда, и это стало причиной моих беды. Чтобы защитить себя от этой ситуации, добавьте эту строку перед установкой:

 - conda update --yes conda